Uploaded image for project: 'mod_cluster'
  1. mod_cluster
  2. MODCLUSTER-549

mod_proxy_cluster should display the full version string of httpd it was built with

    Details

    • Type: Enhancement
    • Status: Open (View Workflow)
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 1.2.13.Final, 1.3.5.Final
    • Fix Version/s: None
    • Component/s: Native (httpd modules)
    • Labels:
      None

      Description

      This is a suggestion to display:

      [Tue Oct 25 12:48:18 2016] [notice] Apache/2.2.15 (Unix) DAV/2 mod_cluster/1.2.13.Final_httpd-2.2.15-39.el6.x86_64 configured -- resuming normal operations
      

      instead of the current version string

      [Mon Oct 31 06:31:31 2016] [notice] Apache/2.2.15 (Unix) DAV/2 mod_cluster/1.2.13.Final configured -- resuming normal operations
      

      The motivation is to clearly state with which httpd it is safe to to run mod_proxy_cluster modules so as to avoid mysterious SegFaults caused by "I took these mod_proxy_cluster modules build with httpd x and run them with httpd y and it all seemed to be good up until...".

      I'm not absolutely sure this is the right place to do so though. I'd like to hear from Radoslav Husar and Jean-Frederic Clere to either upvote this enhancement or to downvote it into oblivion.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                gzaronikas George Zaronikas
                Reporter:
                mbabacek Michal Karm
                Tester:
                Athanasios Ploumis
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated: